After upgrading to Mozilla-NSS-Certs 3.36.4-lp150.2.3.1 from 3.36.1-lp150.1.5 the go backwards a page facility no longer works on the first tab, if you open other tabs they are unaffected. Downgrading to 3.36.1-lp150.1.5 resolves the issue. This update was pushed out to the standard repos for Leap 15.0, the version of Firefox is also from the standard repos 60.1.0-lp150.3.11.1.
NB this is using KDE from the standard repos.

I've submitted a bug report and posted the details here in case anyone else is affected and may find the information useful.

https://bugzilla.opensuse.org/show_bug.cgi?id=1106659